<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>electronics</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
</head>
<body>
<h1 id="electronics-mini-library">Electronics Mini-Library</h1>
<p><a href="https://hits.seeyoufarm.com"><img src="https://hits.seeyoufarm.com/api/count/incr/badge.svg?url=https%3A%2F%2Fgithub.com%2Fxdvrx1%2Farduino-and-electronics-topics&amp;count_bg=%2379C83D&amp;title_bg=%23555555&amp;icon=&amp;icon_color=%23E7E7E7&amp;title=PAGE+VIEWS&amp;edge_flat=false" alt="Hits" /></a></p>
<ul>
<li><a href="#baud-rate-and-bandwidth">Baud Rate And Bandwidth</a></li>
<li><a href="#cathode-and-anode">Cathode And Anode</a></li>
<li><a href="#circuit-board">Circuit Board</a></li>
<li><a href="#digital-and-analog-signals">Digital And Analog Signals</a></li>
<li><a href="#input-and-output">Input And Output</a></li>
<li><a href="#interfacing">Interfacing</a></li>
<li><a href="#mechanism">Mechanism</a></li>
<li><a href="#microcontroller">Microcontroller</a></li>
<li><a href="#module">Module</a><br />
</li>
<li><a href="#prototyping">Prototyping</a></li>
<li><a href="#schematic-diagram">Schematic Diagram</a></li>
<li><a href="#sensor">Sensor</a></li>
<li><a href="#series-and-parallel-circuits">Series And Parallel Circuits</a></li>
<li><a href="#servomotor">Servomotor</a></li>
<li><a href="#solderless-breadboard">Solderless Breadboard</a></li>
<li><a href="#some-circuit-laws">Some Circuit Laws</a></li>
<li><a href="#transistor-and-resistor">Transistor And Resistor</a></li>
</ul>
<h2 id="baud-rate-and-bandwidth">Baud Rate And Bandwidth</h2>
<p>The baud rate is the rate at which information is transferred in a communication channel. Baud rate is commonly used when discussing electronics that use serial communication. In the serial port context, “9600 baud” means that the serial port is capable of transferring a maximum of 9600 bits per second. <a href="https://www.setra.com/blog/what-is-baud-rate-and-what-cable-length-is-required-1" class="uri">https://www.setra.com/blog/what-is-baud-rate-and-what-cable-length-is-required-1</a></p>
<p>Bandwidth, in electronics, the range of frequencies occupied by a modulated radio-frequency signal, usually given in hertz (cycles per second) or as a percentage of the radio frequency. <a href="https://www.britannica.com/technology/bandwidth" class="uri">https://www.britannica.com/technology/bandwidth</a></p>
<h2 id="cathode-and-anode">Cathode And Anode</h2>
<p>Cathode, negative terminal or electrode through which electrons enter a direct current load, such as an electrolytic cell or an electron tube, and the positive terminal of a battery or other source of electrical energy through which they return. This terminal corresponds in electrochemistry to the terminal at which reduction occurs. Within a gas discharge tube, electrons travel away from the cathode, but positive ions (current carriers) travel toward the cathode. <a href="https://www.britannica.com/technology/cathode" class="uri">https://www.britannica.com/technology/cathode</a></p>
<p>Anode, the terminal or electrode from which electrons leave a system. In a battery or other source of direct current the anode is the negative terminal, but in a passive load it is the positive terminal. For example, in an electron tube electrons from the cathode travel across the tube toward the anode, and in an electroplating cell negative ions are deposited at the anode. <a href="https://www.britannica.com/technology/anode" class="uri">https://www.britannica.com/technology/anode</a></p>
<h2 id="circuit-board">Circuit Board</h2>
<p>A circuit board is a physical piece of technology that allows for the assembly of electrical or data circuits on a horizontal layer of material. Advances in circuit boards have led to new engineering and manufacturing methods for these types of devices. <a href="https://www.techopedia.com/definition/6478/circuit-board" class="uri">https://www.techopedia.com/definition/6478/circuit-board</a></p>
<h2 id="digital-and-analog-signals">Digital And Analog Signals</h2>
<p>An <code>analog signal</code> is time-varying and generally bound to a range (e.g. +12V to -12V), but there is an infinite number of values within that continuous range. An analog signal uses a given property of the medium to convey the signal’s information, such as electricity moving through a wire. In an electrical signal, the voltage, current, or frequency of the signal may be varied to represent the information. Analog signals are often calculated responses to changes in light, sound, temperature, position, pressure, or other physical phenomena. A <code>digital signal</code> is a signal that represents data as a sequence of discrete values. A digital signal can only take on one value from a finite set of possible values at a given time. <a href="https://www.monolithicpower.com/en/analog-vs-digital-signal" class="uri">https://www.monolithicpower.com/en/analog-vs-digital-signal</a></p>
<h2 id="input-and-output">Input And Output</h2>
<p>An input device sends information to a computer system for processing, and an output device reproduces or displays the results of that processing. Input devices only allow for input of data to a computer and output devices only receive the output of data from another device. <a href="https://www.computerhope.com/issues/ch001355.htm#:~:text=An%20input%20device%20sends%20information,the%20results%20of%20that%20processing.&amp;text=Those%20signals%20are%20then%20interpreted,monitor%20as%20text%20or%20images." class="uri">https://www.computerhope.com/issues/ch001355.htm#:~:text=An%20input%20device%20sends%20information,the%20results%20of%20that%20processing.&amp;text=Those%20signals%20are%20then%20interpreted,monitor%20as%20text%20or%20images.</a></p>
<h2 id="interfacing">Interfacing</h2>
<p>Interfacing is the method of connecting or linking together one device, especially a computer or micro-controller with another allowing us to design or adapt the output and input configurations of the two electronic devices so that they can work together. <a href="https://www.electronics-tutorials.ws/io/input-interfacing-circuits.html" class="uri">https://www.electronics-tutorials.ws/io/input-interfacing-circuits.html</a></p>
<h2 id="mechanism">Mechanism</h2>
<p>In engineering, a mechanism is a device that transforms input forces and movement into a desired set of output forces and movement. <a href="https://en.wikipedia.org/wiki/Mechanism_(engineering)" class="uri">https://en.wikipedia.org/wiki/Mechanism_(engineering)</a></p>
<h2 id="microcontroller">Microcontroller</h2>
<p>A microcontroller is an integrated circuit (IC) device used for controlling other portions of an electronic system, usually via a microprocessor unit (MPU), memory, and some peripherals. These devices are optimized for embedded applications that require both processing functionality and agile, responsive interaction with digital, analog, or electromechanical components. <a href="https://www.allaboutcircuits.com/technical-articles/what-is-a-microcontroller-introduction-component-characteristics-component/" class="uri">https://www.allaboutcircuits.com/technical-articles/what-is-a-microcontroller-introduction-component-characteristics-component/</a></p>
<h2 id="module">Module</h2>
<p>In computer hardware and electronics, a module is a relatively compact unit in a larger device or arrangement that is designed to be separately installed, replaced, or serviced. <a href="https://whatis.techtarget.com/definition/module#:~:text=A%20module%20is%20a%20separate%20unit%20of%20software%20or%20hardware.&amp;text=2)%20In%20computer%20hardware%20and,installed%2C%20replaced%2C%20or%20serviced." class="uri">https://whatis.techtarget.com/definition/module#:~:text=A%20module%20is%20a%20separate%20unit%20of%20software%20or%20hardware.&amp;text=2)%20In%20computer%20hardware%20and,installed%2C%20replaced%2C%20or%20serviced.</a></p>
<h2 id="prototyping">Prototyping</h2>
<p>A prototype is an early sample, model, or release of a product built to test a concept or process. It is a term used in a variety of contexts, including semantics, design, electronics, and software programming. A prototype is generally used to evaluate a new design to enhance precision by system analysts and users. Prototyping serves to provide specifications for a real, working system rather than a theoretical one. <a href="https://www.interaction-design.org/literature/topics/prototyping" class="uri">https://www.interaction-design.org/literature/topics/prototyping</a></p>
<h2 id="schematic-diagram">Schematic Diagram</h2>
<p>A schematic, or schematic diagram, is a representation of the elements of a system using abstract, graphic symbols rather than realistic pictures. A schematic usually omits all details that are not relevant to the information the schematic is intended to convey, and may add unrealistic elements that aid comprehension… In an electronic circuit diagram, the layout of the symbols may not resemble the layout in the circuit. <a href="https://en.wikipedia.org/wiki/Schematic" class="uri">https://en.wikipedia.org/wiki/Schematic</a></p>
<h2 id="sensor">Sensor</h2>
<p>A sensor is a device that measures physical input from its environment and converts it into data that can be interpreted by either a human or a machine. Most sensors are electronic (the data is converted into electronic data), but some are more simple, such as a glass thermometer, which presents visual data. <a href="https://www.fierceelectronics.com/sensors/what-a-sensor#:~:text=is%20a%20sensor%3F-,A%20sensor%20is%20a%20device%20that%20measures%20physical%20input%20from,thermometer%2C%20which%20presents%20visual%20data." class="uri">https://www.fierceelectronics.com/sensors/what-a-sensor#:~:text=is%20a%20sensor%3F-,A%20sensor%20is%20a%20device%20that%20measures%20physical%20input%20from,thermometer%2C%20which%20presents%20visual%20data.</a></p>
<h2 id="series-and-parallel-circuits">Series And Parallel Circuits</h2>
<p>The basic idea of a “series” connection is that components are connected end-to-end in a line to form a single path through which current can flow. The basic idea of a “parallel” connection, on the other hand, is that all components are connected across each other’s leads. In a purely parallel circuit, there are never more than two sets of electrically common points, no matter how many components are connected. There are many paths for current flow, but only one voltage across all components. <a href="https://www.allaboutcircuits.com/textbook/direct-current/chpt-5/what-are-series-and-parallel-circuits/" class="uri">https://www.allaboutcircuits.com/textbook/direct-current/chpt-5/what-are-series-and-parallel-circuits/</a></p>
<h2 id="servomotor">Servomotor</h2>
<p>Servo motors (or servos) are self-contained electric devices that rotate or push parts of a machine with great precision. <a href="https://www.sciencebuddies.org/science-fair-projects/references/introduction-to-servo-motors" class="uri">https://www.sciencebuddies.org/science-fair-projects/references/introduction-to-servo-motors</a></p>
<h2 id="solderless-breadboard">Solderless Breadboard</h2>
<p>Solderless breadboards make prototyping simple. Breadboards enables you to connect electronic components in thousands of ways to produce working circuits without soldering or damaging your circuit board — and you don’t need additional tools. A breadboard is made up of formed metal sockets firmly secured in a durable plastic housing. The breadboard’s grid pattern is a useful combination of isolated tie points serving as discrete points in the circuit as well as a continuous bus structure that distributes power and provides common ground points. <a href="https://www.circuitspecialists.com/solderless-breadboards" class="uri">https://www.circuitspecialists.com/solderless-breadboards</a></p>
<h2 id="some-circuit-laws">Some Circuit Laws</h2>
<p><code>Ohm's law</code> is the relationship between voltage, current, and resistance in a circuit. It is the most common (and most simple) formula used in electronics. Ohm’s law can be written in several ways, all of which are commonly used.</p>
<p><code>Kirchhoff's circuit laws</code> tie Ohm’s law into a complete system. Kirchhoff’s Current Law follows the principle of conservation of energy. It states that the total sum of all current flowing into a node (or point) on a circuit is equal to the sum of the current flowing out of the node. <a href="https://www.lifewire.com/basic-circuit-laws-818993#:~:text=Ohm&#39;s%20law%20is%20the%20relationship,simple)%20formula%20used%20in%20electronics.&amp;text=Resistance%20is%20equal%20to%20the%20voltage%20across%20a%20resistor%20divided,R%3DV%2FI)." class="uri">https://www.lifewire.com/basic-circuit-laws-818993#:~:text=Ohm's%20law%20is%20the%20relationship,simple)%20formula%20used%20in%20electronics.&amp;text=Resistance%20is%20equal%20to%20the%20voltage%20across%20a%20resistor%20divided,R%3DV%2FI).</a></p>
<h2 id="transistor-and-resistor">Transistor And Resistor</h2>
<p>Transistor, semiconductor device for amplifying, controlling, and generating electrical signals. Transistors are the active components of integrated circuits, or “microchips,” which often contain billions of these minuscule devices etched into their shiny surfaces. Deeply embedded in almost everything electronic, transistors have become the nerve cells of the Information Age. <a href="https://www.britannica.com/technology/transistor" class="uri">https://www.britannica.com/technology/transistor</a></p>
<p>A resistor is an electrical component that limits or regulates the flow of electrical current in an electronic circuit. Resistors can also be used to provide a specific voltage for an active device such as a transistor. <a href="https://whatis.techtarget.com/definition/resistor" class="uri">https://whatis.techtarget.com/definition/resistor</a></p>
</body>
</html>
